summaryrefslogtreecommitdiffstats
path: root/system/rkhunter/rkhunter.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/rkhunter/rkhunter.SlackBuild')
-rw-r--r--system/rkhunter/rkhunter.SlackBuild81
1 files changed, 81 insertions, 0 deletions
diff --git a/system/rkhunter/rkhunter.SlackBuild b/system/rkhunter/rkhunter.SlackBuild
new file mode 100644
index 0000000000..5f3dd5c484
--- /dev/null
+++ b/system/rkhunter/rkhunter.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for Rootkit Hunter
+
+# Written by Michael Johnson (youngmug@animeneko.net)
+
+PRGNAM=rkhunter
+VERSION=${VERSION:-1.3.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#Patch installer.sh to fix paths for Slackware (we don't use /usr/local, and we don't use /usr/share)
+zcat $CWD/install_path_fix.diff.gz | patch -p0 --verbose
+
+#Set the installer to build in our package directory
+#Yes, this isn't an RPM, but it was the easiest way to get pathing working correctly
+RPM_BUILD_ROOT=$PKG \
+./installer.sh \
+ --layout RPM \
+ --install
+
+#We don't want the manpages or docs in /usr/share, we want them in /usr
+( cd $PKG
+ mv usr/share/* usr
+ rmdir usr/share
+)
+
+#We don't want /usr/var, we want /var
+( cd $PKG
+ mv usr/var .
+)
+
+# Compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Copy SlackBuild script to documentation directory
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Don't clobber existing config file.
+mv $PKG/etc/rkhunter.conf $PKG/etc/rkhunter.conf.new
+
+# Copy the slack-desc into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Make the package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz